use std::fs;
use core::computers::rom_only::RomOnlyComputer;
use core::traits::backplane::Backplane;

fn main() {
    println!("Taxation is theft");
    let path = "/home/tmerritt/Projects/mos6502/resources/test/periph/at28c256/checksum.bin";
    let bytes = match fs::read(path) {
        Ok(bytes) => {
            println!("Loaded {} bytes", bytes.len());
            bytes
        },
        Err(e) => vec![]
    };

    let mut rom_only = RomOnlyComputer::program((&bytes[..]).to_vec());

    rom_only.tick2(0x05, 0b0000_0001, 0x05);
    println!("COMPUTER: Read {:02x} from ROM / {:04x} from Address bus", rom_only.data_bus(), rom_only.address_bus()) ;
}
